<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Data Source Debugging</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="data-source-debugging">Data Source Debugging</h1>
<p>If you are having issues with blank graphs and have done the basic checks such as permissions the Data source debug tool can help troubleshoot what information is coming into Cacti.</p>
<p>The debug tool will check the data source, graphs and permissions along incoming data and graph settings, such as step count, to ensure the definition matches the profile of the data source amongst other things.</p>
<p>The tool allows you to run a debug on one or many data source. To request debug information, tick all applicable data sources you require information on, then select 'Run Check' in the actions drop down list. This will put all of the selected data sources into debug mode.</p>
<p>For a single data source, you can click the data source name which will also put it into debug mode.</p>
<p><img src="images/data-debug.png" alt="Data Source Debug" /></p>
<p>You can see the status of each data source along with all of the checks run against it. Successful checks show a green checkmark, whilst failed checks shows a red X. Depending on the issue a recommendation will be provided for a failed check.</p>
<p><img src="images/data-debug1.png" alt="Data Source Debug Select Data Sources" /></p>
<p><img src="images/data-debug3.png" alt="Data Debug Tests Complete" /></p>
<p>A summary of the checks as well as the properties of the data source can be displayed by clicking on the data source name. This is useful for a single page view of the data source and graph details.</p>
<p><img src="images/data-debug4.png" alt="Data Debug Test Details" /></p>
<p>This page also shows what the last values where when last polled. This is also useful for troubleshooting as if the data comes in out of range of your Data Source template, or Graph template, this could point you into the right direction.</p>
<p>--- <copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
